unit uno_typelib_typeclass;

interface

{$I uno_common.inc}

uses
  uno_sal_types;

type
  _typelib_TypeClass = (
    typelib_TypeClass_VOID = 0,
    typelib_TypeClass_CHAR = 1,
    typelib_TypeClass_BOOLEAN = 2,          // 1
    typelib_TypeClass_BYTE = 3,             // 2
    typelib_TypeClass_SHORT = 4,            // 2
    typelib_TypeClass_UNSIGNED_SHORT = 5,   // 2
    typelib_TypeClass_LONG = 6,             // 2
    typelib_TypeClass_UNSIGNED_LONG = 7,    // 2
    typelib_TypeClass_HYPER = 8,            // 2
    typelib_TypeClass_UNSIGNED_HYPER = 9,   // 2
    typelib_TypeClass_FLOAT = 10,           // 2,3
    typelib_TypeClass_DOUBLE = 11,          // 2,3
    typelib_TypeClass_STRING = 12,          // 4
    typelib_TypeClass_TYPE = 13,
    typelib_TypeClass_ANY = 14,
    typelib_TypeClass_ENUM = 15,
    typelib_TypeClass_TYPEDEF = 16,
    typelib_TypeClass_STRUCT = 17,
    typelib_TypeClass_UNION = 18,
    typelib_TypeClass_EXCEPTION = 19,
    typelib_TypeClass_SEQUENCE = 20,
    typelib_TypeClass_ARRAY = 21,
    typelib_TypeClass_INTERFACE = 22,
    typelib_TypeClass_SERVICE = 23,
    typelib_TypeClass_MODULE = 24,
    typelib_TypeClass_INTERFACE_METHOD = 25,
    typelib_TypeClass_INTERFACE_ATTRIBUTE = 26,
    typelib_TypeClass_UNKNOWN = 27,
    typelib_TypeClass_PROPERTY = 28,
    typelib_TypeClass_CONSTANT = 29,
    typelib_TypeClass_CONSTANTS = 30,
    typelib_TypeClass_SINGLETON = 31,
    typelib_TypeClass_MAKE_FIXED_SIZE = SAL_MAX_ENUM);
  typelib_TypeClass = _typelib_TypeClass;

implementation


end.
