unit uno_cuno;

interface

{$I uno_Common.inc}

uses
  uno_sal_types;

const
	CUNO_ERROR_NONE = 0; 
	CUNO_ERROR_CALL_FAILED = (1 shl 31); 
	CUNO_ERROR_EXCEPTION = (1 or CUNO_ERROR_CALL_FAILED); 

	(** macro to call on a C interface
		@param interface_pointer interface pointer
	*)
	function CUNO_CALL(interface_pointer: integer): integer; {<= !!!6 unknown macro}

	(** macro to test if an exception was signalled.
  	@param return_code return code of call
	*)	
	function CUNO_EXCEPTION_OCCURED(return_code: integer): Boolean; {<= !!!6 unknown macro}

type
	cuno_ErrorCode = sal_Int32;

implementation

	{CUNO_CALL( interface_pointer ) ( *interface_pointer)}
	function CUNO_CALL(interface_pointer: integer): integer; 
	begin
	//  result:= (*interface_pointer)
	end;
	
	{CUNO_EXCEPTION_OCCURED( return_code ) (0 != ((return_code) & CUNO_ERROR_EXCEPTION))}
	function CUNO_EXCEPTION_OCCURED(return_code: integer): Boolean;
	begin
	  result:= ( 0 <> ((return_code) and CUNO_ERROR_EXCEPTION))
	end;

end.
